summaryrefslogtreecommitdiff
path: root/toolchain/dependencies/dependencies.sh
diff options
context:
space:
mode:
authorPeter Korsgaard <jacmet@sunsite.dk>2010-08-25 14:49:17 +0200
committerPeter Korsgaard <jacmet@sunsite.dk>2010-08-25 14:49:17 +0200
commita99b1bb24fa09ecbdcde0364514d3690caaadcc8 (patch)
tree7abf0c1fff6a0b871a2f5a12200d32a06c2c9d35 /toolchain/dependencies/dependencies.sh
parent2c31d745ac08e620d143cc266e2b7113754a8787 (diff)
parent311e0a6fc49a2135a3a5e1e63fe8b77c184cb8c9 (diff)
Merge branch 'for-2010.08' of git://git.busybox.net/~tpetazzoni/git/buildroot
Diffstat (limited to 'toolchain/dependencies/dependencies.sh')
-rwxr-xr-xtoolchain/dependencies/dependencies.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/toolchain/dependencies/dependencies.sh b/toolchain/dependencies/dependencies.sh
index b3822ef66..b47e9d81e 100755
--- a/toolchain/dependencies/dependencies.sh
+++ b/toolchain/dependencies/dependencies.sh
@@ -152,3 +152,15 @@ for prog in awk bison flex msgfmt makeinfo patch gzip bzip2 perl tar wget cpio p
exit 1;
fi
done
+
+if grep ^BR2_TOOLCHAIN_BUILDROOT=y $CONFIG_FILE > /dev/null && \
+ grep ^BR2_ENABLE_LOCALE=y $CONFIG_FILE > /dev/null ; then
+ if ! which locale > /dev/null ; then
+ /bin/echo -e "\nYou need locale support on your build machine to build a toolchain supporting locales\n"
+ exit 1 ;
+ fi
+ if ! locale -a | grep -i utf8$ ; then
+ /bin/echo -e "\nYou need at least one UTF8 locale to build a toolchain supporting locales\n"
+ exit 1 ;
+ fi
+fi